## helma.doc
Class DocException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              helma.doc.DocException

All Implemented Interfaces:
  java.io.Serializable

    public class DocException

extends java.lang.Exception

See Also:
  Serialized Form

Constructor Summary
`DocException(java.lang.String msg)` Creates a new DocException object.
`DocException(java.lang.String msg, java.lang.Throwable t)` Creates a new DocException object.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DocException

    public DocException(java.lang.String msg)

  Creates a new DocException object.

  Parameters:
    `msg` - ...

### DocException

    public DocException(java.lang.String msg,
                        java.lang.Throwable t)

  Creates a new DocException object.

  Parameters:
    `msg` - the exception message
    `t` - the cause

Copyright © 1998-1998-${year} Helma.org. All Rights Reserved.